[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Arch Linux: correctly create pkg.html for blacklisted packages we dont know anything about

Holger Levsen holger at layer-acht.org
Sat Dec 9 17:37:55 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 7e7e05c0e070f89a49d356d70eddc8a092d11e2a
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Dec 9 17:36:51 2017 +0000

    reproducible Arch Linux: correctly create pkg.html for blacklisted packages we dont know anything about
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_html_archlinux.sh | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

diff --git a/bin/reproducible_html_archlinux.sh b/bin/reproducible_html_archlinux.sh
index 1138592..c0a8055 100755
--- a/bin/reproducible_html_archlinux.sh
+++ b/bin/reproducible_html_archlinux.sh
@@ -55,6 +55,7 @@ for REPOSITORY in $ARCHLINUX_REPOS ; do
 			continue
 		fi
 		if [ ! -f $ARCHLINUX_PKG_PATH/pkg.state ] ; then
+			blacklisted=false
 			if [ -f $ARCHLINUX_PKG_PATH/pkg.version ] ; then
 				VERSION=$(cat $ARCHLINUX_PKG_PATH/pkg.version)
 			elif [ -f $ARCHLINUX_PKG_PATH/build1.version ] ; then
@@ -74,11 +75,18 @@ for REPOSITORY in $ARCHLINUX_REPOS ; do
 				ARTIFACT="$(ls $ARCHLINUX_PKG_PATH/*.pkg.tar.xz.html 2>/dev/null)"
 				VERSION=$( basename $ARTIFACT | sed -s "s#$PKG-##" | sed -E -s "s#-(x86_64|any).pkg.tar.xz.html##" )
 			else
-				echo "$(date -u )   - cannot determine state of $PKG from '$REPOSITORY', please check $ARCHLINUX_PKG_PATH yourself."
-				continue
-				VERSION="undetermined"
+				for i in $ARCHLINUX_BLACKLISTED ; do
+					if [ "$PKG" = "$i" ] ; then
+						blacklisted=true
+						VERSION="undetermined"
+					fi
+				done
+				if ! $blacklisted ; then
+					echo "$(date -u )   - cannot determine state of $PKG from '$REPOSITORY', please check $ARCHLINUX_PKG_PATH yourself."
+					continue
+				fi
 			fi
-			if [ "$VERSION" != "undetermined" ] ; then
+			if [ "$VERSION" != "undetermined" ] || $blacklisted ; then
 				echo $VERSION > $ARCHLINUX_PKG_PATH/pkg.version
 			fi
 			echo "     <tr>" >> $HTML_BUFFER
@@ -89,7 +97,6 @@ for REPOSITORY in $ARCHLINUX_REPOS ; do
 			#
 			#
 			if [ -z "$(cd $ARCHLINUX_PKG_PATH/ ; ls *.pkg.tar.xz.html 2>/dev/null)" ] ; then
-				blacklisted=false
 				for i in $ARCHLINUX_BLACKLISTED ; do
 					if [ "$PKG" = "$i" ] ; then
 						blacklisted=true

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list